VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR:
[legend]

## Public Member Functions

| DeviceGroupSwapchainCreateInfoKHR (DeviceGroupPresentModeFlagsKHR modes_=DeviceGroupPresentModeFlagsKHR())
| DeviceGroupSwapchainCreateInfoKHR (VkDeviceGroupSwapchainCreateInfoKHR const &rhs)
DeviceGroupSwapchainCreateInfoKHR & | operator= (VkDeviceGroupSwapchainCreateInfoKHR const &rhs)
DeviceGroupSwapchainCreateInfoKHR & | setPNext (const void *pNext_)
DeviceGroupSwapchainCreateInfoKHR & | setModes (DeviceGroupPresentModeFlagsKHR modes_)
| operator VkDeviceGroupSwapchainCreateInfoKHR const & () const
| operator VkDeviceGroupSwapchainCreateInfoKHR & ()
bool | operator== (DeviceGroupSwapchainCreateInfoKHR const &rhs) const
bool | operator!= (DeviceGroupSwapchainCreateInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceGroupPresentModeFlagsKHR | modes

## Private Attributes

StructureType | sType = StructureType::eDeviceGroupSwapchainCreateInfoKHR

## Detailed Description

Definition at line 34199 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceGroupSwapchainCreateInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::DeviceGroupSwapchainCreateInfoKHR | ( | DeviceGroupPresentModeFlagsKHR | modes_ = `DeviceGroupPresentModeFlagsKHR()` | ) |

inline

Definition at line 34201 of file vulkan.hpp.

: modes( modes_ )
{
}

## DeviceGroupSwapchainCreateInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::DeviceGroupSwapchainCreateInfoKHR | ( | VkDeviceGroupSwapchainCreateInfoKHR const & | rhs | ) |

inline

Definition at line 34206 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGroupSwapchainCreateInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceGroupSwapchainCreateInfoKHR &()

VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::operator VkDeviceGroupSwapchainCreateInfoKHR & | ( |  | ) |

inline

Definition at line 34233 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceGroupSwapchainCreateInfoKHR*>(this);
}

## operator VkDeviceGroupSwapchainCreateInfoKHR const &()

VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::operator VkDeviceGroupSwapchainCreateInfoKHR const & | ( |  | ) | const

inline

Definition at line 34228 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceGroupSwapchainCreateInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::operator!= | ( | DeviceGroupSwapchainCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 34245 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceGroupSwapchainCreateInfoKHR& VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::operator= | ( | VkDeviceGroupSwapchainCreateInfoKHR const & | rhs | ) |

inline

Definition at line 34211 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGroupSwapchainCreateInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::operator== | ( | DeviceGroupSwapchainCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 34238 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( modes == rhs.modes );
}

References modes, pNext, and sType.

Referenced by operator!=().

## setModes()

DeviceGroupSwapchainCreateInfoKHR& VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::setModes | ( | DeviceGroupPresentModeFlagsKHR | modes_ | ) |

inline

Definition at line 34222 of file vulkan.hpp.

{
modes = modes_;
return *this;
}

References modes.

## setPNext()

DeviceGroupSwapchainCreateInfoKHR& VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 34216 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## modes

DeviceGroupPresentModeFlagsKHR VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::modes

Definition at line 34255 of file vulkan.hpp.

Referenced by operator==(), and setModes().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::pNext = nullptr

Definition at line 34254 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::sType = StructureType::eDeviceGroupSwapchainCreateInfoKHR

private

Definition at line 34251 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkDeviceGroupSwapchainCreateInfoKHR
Definition: vulkan_core.h:4880
VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::DeviceGroupSwapchainCreateInfoKHR
DeviceGroupSwapchainCreateInfoKHR(DeviceGroupPresentModeFlagsKHR modes_=DeviceGroupPresentModeFlagsKHR())
Definition: vulkan.hpp:34201
VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:34254
VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::modes
DeviceGroupPresentModeFlagsKHR modes
Definition: vulkan.hpp:34255
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:34251
VULKAN_HPP_NAMESPACE::DeviceGroupSwapchainCreateInfoKHR::operator==
bool operator==(DeviceGroupSwapchainCreateInfoKHR const &rhs) const
Definition: vulkan.hpp:34238